Bug 852232

Summary: Review Request: python-vaporize - library for the Rackspace Cloud
Product: [Fedora] Fedora Reporter: Daniel Bruno <dbruno>
Component: Package ReviewAssignee: Nobody's working on this, feel free to take it <nobody>
Status: CLOSED NOTABUG QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: dbruno, mario.blaettermann, notting
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-09-29 13:33:02 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 201449    

Description Daniel Bruno 2012-08-27 19:39:02 EDT
Spec URL: http://dbruno.fedorapeople.org/python-vaporize/python-vaporize.spec
SRPM URL: http://dbruno.fedorapeople.org/python-vaporize/python-vaporize-0.2.1-2.fc17.src.rpm
Description: 
There are already a number of good Python options out there for accessing the
Rackspace Cloud API. Unfortunately they have one thing in common: none of them
use the same pattern. This means a lot of wasted time looking things up in
the documentation. The other problem is that there is a library for each group
of sendpoints on the Rackspace cloud API. There's a libarry for CloudServers,
one for CloudFiles, one for CloudDNS and one for CloudLoadBalancers. Which menas
there's a lot of redundant code, requiring four imports and four instantiations
and it's up to you to smooth over incompatibilities between them.

So Vaporize was born. One library for one API.

Fedora Account System Username: dbruno
Comment 1 Mario Blättermann 2012-08-28 16:16:59 EDT
Some typos in the description:

libarry > library
menas > means

Is it intended to go in EPEL 5?
Comment 2 Daniel Bruno 2012-08-31 13:55:27 EDT
Spec URL: http://dbruno.fedorapeople.org/python-vaporize/python-vaporize.spec
SRPM URL: http://dbruno.fedorapeople.org/python-vaporize/python-vaporize-0.2.1-3.fc17.src.rpm

* The typos were fixed.
* At first my intention is to add this package on Fedora repository.

Thanks,
Comment 3 Mario Blättermann 2012-09-06 07:57:27 EDT
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4459965
Comment 4 Mario Blättermann 2012-09-11 14:47:18 EDT
$ rpmlint -i -v *
python-vaporize.src: I: checking
python-vaporize.src: W: spelling-error %description -l en_US sendpoints -> endpoints, s endpoints, send points
The value of this tag appears to be misspelled. Please double-check.

python-vaporize.src: W: spelling-error %description -l en_US libary -> library, millibar
The value of this tag appears to be misspelled. Please double-check.

python-vaporize.src: W: spelling-error %description -l en_US instantiations -> substantiations, instantiates, instantiate
The value of this tag appears to be misspelled. Please double-check.

python-vaporize.src: I: checking-url https://github.com/kolanos/vaporize (timeout 10 seconds)
python-vaporize.src:20: W: mixed-use-of-spaces-and-tabs (spaces: line 7, tab: line 20)
The specfile mixes use of spaces and tabs for indentation, which is a cosmetic
annoyance.  Use either spaces or tabs for indentation, not both.

python-vaporize.src: I: checking-url http://pypi.python.org/packages/source/v/vaporize/vaporize-0.2.1.tar.gz (timeout 10 seconds)
python-vaporize.noarch: I: checking
python-vaporize.noarch: W: spelling-error %description -l en_US sendpoints -> endpoints, s endpoints, send points
The value of this tag appears to be misspelled. Please double-check.

python-vaporize.noarch: W: spelling-error %description -l en_US libary -> library, millibar
The value of this tag appears to be misspelled. Please double-check.

python-vaporize.noarch: W: spelling-error %description -l en_US instantiations -> substantiations, instantiates, instantiate
The value of this tag appears to be misspelled. Please double-check.

python-vaporize.noarch: I: checking-url https://github.com/kolanos/vaporize (timeout 10 seconds)
python-vaporize.noarch: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

python-vaporize.spec:20: W: mixed-use-of-spaces-and-tabs (spaces: line 7, tab: line 20)
The specfile mixes use of spaces and tabs for indentation, which is a cosmetic
annoyance.  Use either spaces or tabs for indentation, not both.

python-vaporize.spec: I: checking-url http://pypi.python.org/packages/source/v/vaporize/vaporize-0.2.1.tar.gz (timeout 10 seconds)
2 packages and 1 specfiles checked; 0 errors, 9 warnings.


The spelling errors are ignoreable, but please keep the lines in %description no longer than 80 characters and remove trailing whitespaces.

Don't mix spaces and tabs in your spec. I recommend using spaces generally, this gives an identical view in all text editors, regardless of the configured tab width.

An empty line between Requires and %description would be nice, for better readability.

The BuildRoot definition, the initial cleaning in %install, the %clean section and %defattr are obsolete for non-EPEL5 packages, please remove them when you import your spec file into Git, or remove them generally if you don't want to provide packages for EPEL 5.

Please add < and > around your mail address in %changelog. I don't know if it is mandatory, but the syntax highlighting of my text editor doesn't recognize it as a mail address without them.

A README file should be the minimum documentation here. Contact the upstream developer for this issue; for the time being you could create a README file from the contents of PKG-INFO (not the whole file, only the lines from 10 to 75).

Please check the first entry in %changelog. There's an upstream version 0.0.0, should be a real version number.
Comment 5 Mario Blättermann 2012-10-19 06:08:42 EDT
Any progress here? Once you have updated the files, I'll take this for a full review.
Comment 6 Mario Blättermann 2013-06-02 10:45:09 EDT
Is this review ticket still alive? If yes, please provide a fixed version, and I will do the review.
Comment 7 Mario Blättermann 2013-09-29 13:33:02 EDT
No response from the reporter for more than a year. I will close it as FE-DEADREVIEW.